complexType "QueryParameter"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | queryParameterId, queryParameterValue?, queryParameterOperator?
</...>

Content Model Elements (3):

  queryParameterId, queryParameterOperator, queryParameterValue

All Direct / Indirect Based Elements (1):

  queryParameter

Known Usage Locations

- As direct type of elements (1):
  queryParameter

Annotation
A type representing criteria for defining a query portfolio. The criteria are made up of a QueryParameterId, QueryParameterValue and QueryParameterOperator.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="QueryParameter"> <xsd:sequence> <xsd:element name="queryParameterId" type="QueryParameterId"/> <xsd:element minOccurs="0" name="queryParameterValue" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="queryParameterOperator" type="QueryParameterOperator"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
queryParameterId

  Type: | QueryParameterId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="queryParameterId" type="QueryParameterId"/>

queryParameterOperator

  Type: | QueryParameterOperator, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="queryParameterOperator" type="QueryParameterOperator"/>

queryParameterValue

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="queryParameterValue" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.